package com.ann.demo.entity.filing;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.util.Date;

/**
 * <p>
 * 病历文件表
 * </p>
 *
 * @author ly
 * @since 2019-04-24
 */
@Entity
@Data
public class ArchiveDetail {

    /**
     * id
     */
    @Id
    private String id;

    /**
     * pdf路径
     */
    private String pdfPath;

    /**
     * master表关联id
     */
    @Column(name = "masterid")
    private String masterID;

    /**
     * 抓取时间
     */
    @Column(name = "uploaddatetime")
    private Date upLoadDateTime;

    /**
     * 分段id
     */
    @Column(name = "assortid")
    private String assortID;

    /**
     * 来源
     */
    private String source;

    /**
     * 冗余字段
     */
    @Column(name = "subassort")
    private String subAssort;

    /**
     * 标题
     */
    private String title;

    /**
     * 是否显示 0显示 1不显示
     */
    private String flag;

    /**
     * 系统
     */
    private String sys;

    public ArchiveDetail(String id, String pdfPath, String masterID, Date upLoadDateTime, String assortID, String source, String subAssort, String title, String flag, String sys) {
        this.id = id;
        this.pdfPath = pdfPath;
        this.masterID = masterID;
        this.upLoadDateTime = upLoadDateTime;
        this.assortID = assortID;
        this.source = source;
        this.subAssort = subAssort;
        this.title = title;
        this.flag = flag;
        this.sys = sys;
    }

    public ArchiveDetail() {
    }
}