package com.ann.demo.entity.filing;


import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import java.util.Date;


/**
 * <p>
 * 病人基本信息表
 * </p>
 *
 * @author ly
 * @since 2019-04-24
 */
@Entity
@Data
public class ArchiveMaster {

    /**
     * id
     */
    @Id
    private String id;

    /**
     * 记帐号
     */
    private String patientId;

    /**
     * 住院号
     */
    private String inpNo;

    /**
     * 住院次数
     */
    private String visitId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出院科室
     */
    private String deptName;

    /**
     * 出院时间 not null '1801'开头为在院 非'1801'开头为出院
     */
    private Date dischargeDateTime;

    /**
     * 归档状态 仅质控流程使用
     */
    @Column(name = "archivestate")
    private String archiveState;

    /**
     * 入院时间
     */
    private Date admissionDateTime;

    /**
     * 入院科室
     */
    private String deptAdmissionTo;

    /**
     * 审核医生
     */
    private String checkDoctor;

    /**
     * 审核时间
     */
    private Date checkDatetime;

    /**
     * 终审医生
     */
    private String checkedDoctor;

    /**
     * 终审时间
     */
    private Date checkedDatetime;

    /**
     *
     */
    @Column(name = "lockinfo")
    private String LockInfo;

    /**
     * 主管医生
     */
    private String doctorInCharge;

    /**
     * 身份证号
     */
    private String idNo;

    /**
     * 是否死亡 死亡填5
     */
    private String dischargeDisposition;

    /**
     * 离院方式
     */
    private String deptCodeLend;

    /**
     * 退回人角色
     */
    private String returntoRole;

    /**
     * 退回人工号
     */
    private String returnOperUsername;

    /**
     * 召回原因
     */
    private String changeReason;

    /**
     * 床号
     */
    private String bedId;
}